/**
 * @name: vue-inject
 * @author: alan
 * @date: 2021-11-16 18:22
 * @description：vue-inject
 * @update: 2021-11-16 18:22
 */
import Vue from 'vue';
import WebBuriedPoint, {sendBuriedData} from '@pica-core/web-buried-point';
import picaBridge from '@pica-core/JsBridge';
const {name} = require('../../package.json');
Vue.prototype.$sendBuriedData = sendBuriedData;
Vue.prototype.$rocNative = new picaBridge();
Vue.use(WebBuriedPoint, {
  class_name: name,
  url: `${process.env.VUE_APP_SERVICE_URL}/file/log/trace1`,
});
